{% load static staticfiles widget_tweaks %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{% block title %}Dashboard{% endblock %}</title>
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="{% static 'admin_site/css/bootstrap.min.css' %}">
    <!-- Material Design Bootstrap -->
    <link rel="stylesheet" href="{% static 'admin_site/css/mdb.css' %}">
    <link rel="stylesheet" href="{% static 'admin_site/css/admin-style.css' %}">
</head>

<body class="fixed-sn white-skin">
<!--Main Navigation-->
<header>
    <!-- Sidebar navigation -->
    <div id="slide-out" class="side-nav sn-bg-4 fixed" style="transform: translateX(0%);">
        <ul class="custom-scrollbar ps ps--theme_default" data-ps-id="0065b5c1-1f76-fcc6-3dd0-7ab80d44ae91">
            <!-- Logo -->
            <li class="logo-sn waves-effect">
                <div class="text-center">
                    <a href="#" class="pl-0"><img src="{% static 'admin_site/img/logo.svg' %}"
                                                  class="logo-admin m-auto"></a>
                </div>
            </li>
            <!--/. Logo -->
            {% if user.is_authenticated %}
                <li>
                    <ul class="collapsible collapsible-accordion">
                        <li><a class="collapsible-header waves-effect arrow-r"><i class="fa fa-tachometer"></i>Appointments
                            and Services<i
                                    class="fa fa-angle-down rotate-icon"></i></a>
                            <div class="collapsible-body">
                                <ul>
                                    <li>
                                        <a href="{% url 'admin_site:service_type_list' %}"
                                           class="waves-effect">Service Types</a>
                                    </li>
                                    <li>
                                        <a href="{% url 'admin_site:service_order_list' %}"
                                           class="waves-effect">Appointments List</a>
                                    </li>
                                </ul>
                            </div>
                        </li>
                    </ul>
                </li>
                {% if user.is_superuser %}
                    <li>
                        <ul class="collapsible collapsible-accordion">
                            <li><a class="collapsible-header waves-effect arrow-r"
                                   href="{% url 'admin_site:users_list' %}"><i class="fa fa-user"></i>User
                                Management</a></li>
                        </ul>
                    </li>
                    <li>
                        <ul class="collapsible collapsible-accordion">
                            <li><a class="collapsible-header waves-effect arrow-r"
                                   href="{% url 'admin_site:review_list' %}"><i class="fa fa-paper-plane"></i>Reviews</a></li>
                        </ul>
                    </li>
                    <li>
                        <ul class="collapsible collapsible-accordion">
                            <li><a class="collapsible-header waves-effect arrow-r"><i class="fa fa-building"></i>Repair
                                Shop<i
                                        class="fa fa-angle-down rotate-icon"></i></a>
                                <div class="collapsible-body">
                                    <ul>
                                        <li>
                                            <a href="{% url 'admin_site:repair_shop_update' %}"
                                               class="waves-effect">General Information</a>
                                        </li>
                                        <li>
                                            <a href="{% url 'admin_site:repair_shop_days' %}"
                                               class="waves-effect">Open/Close Times</a>
                                        </li>

                                        {#                                <li>#}
                                        {#                                    <a href="{% url 'admin_site:service_order_list' %}"#}
                                        {#                                       class="waves-effect">Appointments List</a>#}
                                        {#                                </li>#}
                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </li>
                {% endif %}
                <!--/. Side navigation links -->
                <div class="ps__scrollbar-x-rail" style="left: 0px; bottom: 0px;">
                    <div class="ps__scrollbar-x" tabindex="0" style="left: 0px; width: 0px;"></div>
                </div>
                <div class="ps__scrollbar-y-rail" style="top: 0px; right: 0px;">
                    <div class="ps__scrollbar-y" tabindex="0" style="top: 0px; height: 0px;"></div>
                </div>
            {% endif %}
        </ul>
        <div class="sidenav-bg mask-strong"></div>
    </div>
    <!--/. Sidebar navigation -->

    <!-- Navbar -->
    <nav class="navbar fixed-top navbar-expand-lg scrolling-navbar double-nav">
        <!-- SideNav slide-out button -->
        <div class="float-left">
            <a href="#" data-activates="slide-out"
               class="button-collapse black-text"><i class="fa fa-bars"></i></a>
        </div>
        <!--Navbar links-->
        <ul class="nav navbar-nav nav-flex-icons ml-auto">

            <li class="nav-item">
                <a class="nav-link" href="/">View Site</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle waves-effect"
                   href="{% url 'admin_site:profile' %}" id="navbarDropdownMenuLink"
                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <span class="badge red noti-count"></span> <i class="fa fa-bell"></i> <span class="clearfix d-none d-sm-inline-block">Notifications</span></a>

                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                   <a class="dropdown-item waves-effect waves-light" href="{% url 'notifications:unread' %}">You have <span class="noti-count"></span> new Appointment/Quote request<span class="float-right"><i class="fa fa-clock-o"></i>13 min</span></a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle waves-effect"
                   href="{% url 'admin_site:profile' %}" id="userDropdown"
                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fa fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Profile</span></a>

                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                    <a class="dropdown-item waves-effect waves-light"
                       href="{% url 'account_logout' %}">Log Out</a>
                    <a class="dropdown-item waves-effect waves-light"
                       href="{% url 'admin_site:profile' %}">My account</a>
                </div>
            </li>
        </ul>
        <!--/Navbar links-->

    </nav>
    <!-- /.Navbar -->
</header>
<!--Main Navigation-->

<!--Main layout-->
<main>
    <div class="container-fluid">
        {% block container %}

        {% endblock %}
    </div>
</main>
<!--Main layout-->


<!-- SCRIPTS -->
<!-- JQuery -->
<script src="{% static 'admin_site/js/jquery-3.2.1.min.js' %}"></script>
<!-- Bootstrap tooltips -->
<script type="text/javascript" src="{% static 'admin_site/js/popper.min.js' %}"></script>
<!-- Bootstrap core JavaScript -->
<script type="text/javascript" src="{% static 'admin_site/js/bootstrap.js' %}"></script>
<!-- MDB core JavaScript -->
<script type="text/javascript" src="{% static 'admin_site/js/mdb.min.js' %}"></script>
<!--Initializations-->
<script>
    // SideNav Initialization
    $(".button-collapse").sideNav();

    var container = document.querySelector('.custom-scrollbar');
    Ps.initialize(container, {
        wheelSpeed: 2,
        wheelPropagation: true,
        minScrollbarLength: 20
    });
    // Material Select Initialization
    $(document).ready(function () {
        $('.mdb-select').material_select();
        $('.datepicker').pickadate();
        $('.timepicker').pickatime();
    });

    // Tooltips Initialization
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
    
    $(document).ready(function () {
        $.ajax(
            {
                url:'{% url 'admin_site:notifications_count' %}',
                type:'get',
                dataType:'json',
                success:function (response) {
                    $('.noti-count').text(response.noti_count);
                }
            }
        );
    });
</script>

{% block custom_js %}

{% endblock %}
</body>
</html>